package com.steering.pss.sale.order.DAL;

import com.steering.comm.db.DBCommon;
import com.steering.comm.tools.EntityTool;
import com.steering.pss.sale.order.model.DesignMscPlStiEntity;
import CoreFS.SA06.CoreReturnObject;
import CoreFS.SA08.CoreXmlSqlParsersFactory;

public class SlmOrdDesignMscPlStiDAL extends DBCommon{
	
	/**
	 * 查询质量设计工序点
	 * @param strDesignMscPlStiJSON
	 * @return
	 */
	public CoreReturnObject query(String strDesignMscPlStiJSON){
		DesignMscPlStiEntity designMscPlStiEntity = EntityTool.getEntityByJSONStr(strDesignMscPlStiJSON, DesignMscPlStiEntity.class);
		String sql = CoreXmlSqlParsersFactory.getSql("SlmOrdDesignMscPlStiDAL.query");
		sql = EntityTool.fillSqlByEntity(sql, designMscPlStiEntity);
		return this.getData(sql);
	}
}
